# MCS_Connect_Initial Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_Connect_Initial:

List of all members.

## Public Member Functions

| MCS_Connect_Initial (unsigned tag=101, TagClass tagClass=ApplicationTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_OctetString | m_callingDomainSelector
PASN_OctetString | m_calledDomainSelector
PASN_Boolean | m_upwardFlag
MCS_DomainParameters | m_targetParameters
MCS_DomainParameters | m_minimumParameters
MCS_DomainParameters | m_maximumParameters
PASN_OctetString | m_userData

## Constructor & Destructor Documentation

MCS_Connect_Initial::MCS_Connect_Initial | ( | unsigned | tag = `101`,
|  | TagClass | tagClass = `ApplicationTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_Connect_Initial::GetDataLength | ( |  | ) | const

PBoolean MCS_Connect_Initial::Decode | ( | PASN_Stream & | strm | ) |

void MCS_Connect_Initial::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_Connect_Initial::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_Connect_Initial::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_Connect_Initial::Clone | ( |  | ) | const

## Member Data Documentation

PASN_OctetString MCS_Connect_Initial::m_callingDomainSelector

PASN_OctetString MCS_Connect_Initial::m_calledDomainSelector

PASN_Boolean MCS_Connect_Initial::m_upwardFlag

MCS_DomainParameters MCS_Connect_Initial::m_targetParameters

MCS_DomainParameters MCS_Connect_Initial::m_minimumParameters

MCS_DomainParameters MCS_Connect_Initial::m_maximumParameters

PASN_OctetString MCS_Connect_Initial::m_userData

The documentation for this class was generated from the following file:

- mcs.h